INSERT INTO classifier (code, name)
VALUES ('EHAK', 'Ehaku maakonnad ja vallad');

call insert_element('EHAK', 'Whole', 'Whole country', 'Kogu Eesti', 0);
call insert_element('EHAK', 'HARJU_county', 'HARJU COUNTY', 'HARJU MAAKOND', 1);
call insert_element('EHAK', 'Anija', 'Anija rural municipality', 'Anija vald', 2);
call insert_element('EHAK', 'Harku', 'Harku rural municipality', 'Harku vald', 2);
call insert_element('EHAK', 'Joelahtme', 'Jõelähtme rural municipality', 'Jõelähtme vald', 2);
call insert_element('EHAK', 'Keila', 'Keila city', 'Keila linn', 2);
call insert_element('EHAK', 'Kiili', 'Kiili rural municipality', 'Kiili vald', 2);
call insert_element('EHAK', 'Kose', 'Kose rural municipality', 'Kose vald', 2);
call insert_element('EHAK', 'Kuusalu', 'Kuusalu rural municipality', 'Kuusalu vald', 2);
call insert_element('EHAK', 'Loksa', 'Loksa city', 'Loksa linn', 2);
call insert_element('EHAK', 'Laane', 'Lääne-Harju rural municipality', 'Lääne-Harju vald', 2);
call insert_element('EHAK', 'Maardu', 'Maardu city', 'Maardu linn', 2);
call insert_element('EHAK', 'Raasiku', 'Raasiku rural municipality', 'Raasiku vald', 2);
call insert_element('EHAK', 'Rae', 'Rae rural municipality', 'Rae vald', 2);
call insert_element('EHAK', 'Saku', 'Saku rural municipality', 'Saku vald', 2);
call insert_element('EHAK', 'Saue', 'Saue rural municipality', 'Saue vald', 2);
call insert_element('EHAK', 'Tallinn', 'Tallinn', 'Tallinn', 2);
call insert_element('EHAK', 'Viimsi', 'Viimsi rural municipality', 'Viimsi vald', 2);
call insert_element('EHAK', 'HIIU_county', 'HIIU COUNTY', 'HIIU MAAKOND', 1);
call insert_element('EHAK', 'Hiiu', 'Hiiumaa rural municipality', 'Hiiumaa vald', 2);
call insert_element('EHAK', 'IDA_county', 'IDA-VIRU COUNTY', 'IDA-VIRU MAAKOND', 1);
call insert_element('EHAK', 'Alutaguse', 'Alutaguse rural municipality', 'Alutaguse vald', 2);
call insert_element('EHAK', 'Johvi', 'Jõhvi rural municipality', 'Jõhvi vald', 2);
call insert_element('EHAK', 'Kohtla', 'Kohtla-Järve city', 'Kohtla-Järve linn', 2);
call insert_element('EHAK', 'Luganuse', 'Lüganuse rural municipality', 'Lüganuse vald', 2);
call insert_element('EHAK', 'Narva', 'Narva city', 'Narva linn', 2);
call insert_element('EHAK', 'Narva_Joesuu', 'Narva-Jõesuu city', 'Narva-Jõesuu linn', 2);
call insert_element('EHAK', 'Sillamae', 'Sillamäe city', 'Sillamäe linn', 2);
call insert_element('EHAK', 'Toila', 'Toila rural municipality', 'Toila vald', 2);
call insert_element('EHAK', 'JOGEVA_county', 'JÕGEVA COUNTY', 'JÕGEVA MAAKOND', 1);
call insert_element('EHAK', 'Jogeva', 'Jõgeva rural municipality', 'Jõgeva vald', 2);
call insert_element('EHAK', 'Mustvee', 'Mustvee rural municipality', 'Mustvee vald', 2);
call insert_element('EHAK', 'Poltsamaa', 'Põltsamaa rural municipality', 'Põltsamaa vald', 2);
call insert_element('EHAK', 'JARVA_county', 'JÄRVA COUNTY', 'JÄRVA MAAKOND', 1);
call insert_element('EHAK', 'Jarva', 'Järva rural municipality', 'Järva vald', 2);
call insert_element('EHAK', 'Paide', 'Paide city', 'Paide linn', 2);
call insert_element('EHAK', 'Turi', 'Türi rural municipality', 'Türi vald', 2);
call insert_element('EHAK', 'LAANE_county', 'LÄÄNE COUNTY', 'LÄÄNE MAAKOND', 1);
call insert_element('EHAK', 'Haapsalu', 'Haapsalu city', 'Haapsalu linn', 2);
call insert_element('EHAK', 'Laane_Nigula', 'Lääne-Nigula rural municipality', 'Lääne-Nigula vald', 2);
call insert_element('EHAK', 'Vormsi', 'Vormsi rural municipality', 'Vormsi vald', 2);
call insert_element('EHAK', 'LAANE_VIRU', 'LÄÄNE-VIRU COUNTY', 'LÄÄNE-VIRU MAAKOND', 1);
call insert_element('EHAK', 'Haljala', 'Haljala rural municipality', 'Haljala vald', 2);
call insert_element('EHAK', 'Kadrina', 'Kadrina rural municipality', 'Kadrina vald', 2);
call insert_element('EHAK', 'Rakvere_city', 'Rakvere city', 'Rakvere linn', 2);
call insert_element('EHAK', 'Rakvere', 'Rakvere rural municipality', 'Rakvere vald', 2);
call insert_element('EHAK', 'Tapa', 'Tapa rural municipality', 'Tapa vald', 2);
call insert_element('EHAK', 'Vinni', 'Vinni rural municipality', 'Vinni vald', 2);
call insert_element('EHAK', 'Viru', 'Viru-Nigula rural municipality', 'Viru-Nigula vald', 2);
call insert_element('EHAK', 'Vaike', 'Väike-Maarja rural municipality', 'Väike-Maarja vald', 2);
call insert_element('EHAK', 'POLVA_county', 'PÕLVA COUNTY', 'PÕLVA MAAKOND', 1);
call insert_element('EHAK', 'Kanepi', 'Kanepi rural municipality', 'Kanepi vald', 2);
call insert_element('EHAK', 'Polva', 'Põlva rural municipality', 'Põlva vald', 2);
call insert_element('EHAK', 'Rapina', 'Räpina rural municipality', 'Räpina vald', 2);
call insert_element('EHAK', 'PARNU_county', 'PÄRNU COUNTY', 'PÄRNU MAAKOND', 1);
call insert_element('EHAK', 'Haademeeste', 'Häädemeeste rural municipality', 'Häädemeeste vald', 2);
call insert_element('EHAK', 'Kihnu', 'Kihnu rural municipality', 'Kihnu vald', 2);
call insert_element('EHAK', 'Laaneranna', 'Lääneranna rural municipality', 'Lääneranna vald', 2);
call insert_element('EHAK', 'Pohja_Parnumaa', 'Põhja-Pärnumaa rural municipality', 'Põhja-Pärnumaa vald', 2);
call insert_element('EHAK', 'Parnu', 'Pärnu city', 'Pärnu linn', 2);
call insert_element('EHAK', 'Saarde', 'Saarde rural municipality', 'Saarde vald', 2);
call insert_element('EHAK', 'Tori', 'Tori rural municipality', 'Tori vald', 2);
call insert_element('EHAK', 'RAPLA_county', 'RAPLA COUNTY', 'RAPLA MAAKOND', 1);
call insert_element('EHAK', 'Kehtna', 'Kehtna rural municipality', 'Kehtna vald', 2);
call insert_element('EHAK', 'Kohila', 'Kohila rural municipality', 'Kohila vald', 2);
call insert_element('EHAK', 'Marjamaa', 'Märjamaa rural municipality', 'Märjamaa vald', 2);
call insert_element('EHAK', 'Rapla', 'Rapla rural municipality', 'Rapla vald', 2);
call insert_element('EHAK', 'SAARE_county', 'SAARE COUNTY', 'SAARE MAAKOND', 1);
call insert_element('EHAK', 'Muhu', 'Muhu rural municipality', 'Muhu vald', 2);
call insert_element('EHAK', 'Ruhnu', 'Ruhnu rural municipality', 'Ruhnu vald', 2);
call insert_element('EHAK', 'Saaremaa', 'Saaremaa rural municipality', 'Saaremaa vald', 2);
call insert_element('EHAK', 'TARTU_county', 'TARTU COUNTY', 'TARTU MAAKOND', 1);
call insert_element('EHAK', 'Elva', 'Elva rural municipality', 'Elva vald', 2);
call insert_element('EHAK', 'Kambja', 'Kambja rural municipality', 'Kambja vald', 2);
call insert_element('EHAK', 'Kastre', 'Kastre rural municipality', 'Kastre vald', 2);
call insert_element('EHAK', 'Luunja', 'Luunja rural municipality', 'Luunja vald', 2);
call insert_element('EHAK', 'Noo', 'Nõo rural municipality', 'Nõo vald', 2);
call insert_element('EHAK', 'Peipsiaare', 'Peipsiääre rural municipality', 'Peipsiääre vald', 2);
call insert_element('EHAK', 'Tartu_city', 'Tartu city', 'Tartu linn', 2);
call insert_element('EHAK', 'Tartu', 'Tartu rural municipality', 'Tartu vald', 2);
call insert_element('EHAK', 'VALGA_county', 'VALGA COUNTY', 'VALGA MAAKOND', 1);
call insert_element('EHAK', 'Otepaa', 'Otepää rural municipality', 'Otepää vald', 2);
call insert_element('EHAK', 'Torva', 'Tõrva rural municipality', 'Tõrva vald', 2);
call insert_element('EHAK', 'Valga', 'Valga rural municipality', 'Valga vald', 2);
call insert_element('EHAK', 'VILJANDI_county', 'VILJANDI COUNTY', 'VILJANDI MAAKOND', 1);
call insert_element('EHAK', 'Mulgi', 'Mulgi rural municipality', 'Mulgi vald', 2);
call insert_element('EHAK', 'Pohja_Sakala', 'Põhja-Sakala rural municipality', 'Põhja-Sakala vald', 2);
call insert_element('EHAK', 'Viljandi_city', 'Viljandi city', 'Viljandi linn', 2);
call insert_element('EHAK', 'Viljandi', 'Viljandi rural municipality', 'Viljandi vald', 2);
call insert_element('EHAK', 'VORU_county', 'VÕRU COUNTY', 'VÕRU MAAKOND', 1);
call insert_element('EHAK', 'Antsla', 'Antsla rural municipality', 'Antsla vald', 2);
call insert_element('EHAK', 'Rouge', 'Rõuge rural municipality', 'Rõuge vald', 2);
call insert_element('EHAK', 'Setomaa', 'Setomaa rural municipality', 'Setomaa vald', 2);
call insert_element('EHAK', 'Voru_city', 'Võru city', 'Võru linn', 2);
call insert_element('EHAK', 'Voru', 'Võru rural municipality', 'Võru vald', 2);


call insert_element_connection('EHAK', 'Whole', 'HARJU_county');
call insert_element_connection('EHAK', 'Whole', 'HIIU_county');
call insert_element_connection('EHAK', 'Whole', 'IDA_county');
call insert_element_connection('EHAK', 'Whole', 'JOGEVA_county');
call insert_element_connection('EHAK', 'Whole', 'JARVA_county');
call insert_element_connection('EHAK', 'Whole', 'LAANE_county');
call insert_element_connection('EHAK', 'Whole', 'LAANE_VIRU');
call insert_element_connection('EHAK', 'Whole', 'POLVA_county');
call insert_element_connection('EHAK', 'Whole', 'PARNU_county');
call insert_element_connection('EHAK', 'Whole', 'RAPLA_county');
call insert_element_connection('EHAK', 'Whole', 'SAARE_county');
call insert_element_connection('EHAK', 'Whole', 'TARTU_county');
call insert_element_connection('EHAK', 'Whole', 'VALGA_county');
call insert_element_connection('EHAK', 'Whole', 'VILJANDI_county');
call insert_element_connection('EHAK', 'Whole', 'VORU_county');

call insert_element_connection('EHAK', 'HARJU_county', 'Anija');
call insert_element_connection('EHAK', 'HARJU_county', 'Harku');
call insert_element_connection('EHAK', 'HARJU_county', 'Joelahtme');
call insert_element_connection('EHAK', 'HARJU_county', 'Keila');
call insert_element_connection('EHAK', 'HARJU_county', 'Kiili');
call insert_element_connection('EHAK', 'HARJU_county', 'Kose');
call insert_element_connection('EHAK', 'HARJU_county', 'Kuusalu');
call insert_element_connection('EHAK', 'HARJU_county', 'Loksa');
call insert_element_connection('EHAK', 'HARJU_county', 'Laane');
call insert_element_connection('EHAK', 'HARJU_county', 'Maardu');
call insert_element_connection('EHAK', 'HARJU_county', 'Raasiku');
call insert_element_connection('EHAK', 'HARJU_county', 'Rae');
call insert_element_connection('EHAK', 'HARJU_county', 'Saku');
call insert_element_connection('EHAK', 'HARJU_county', 'Saue');
call insert_element_connection('EHAK', 'HARJU_county', 'Tallinn');
call insert_element_connection('EHAK', 'HARJU_county', 'Viimsi');

call insert_element_connection('EHAK', 'HIIU_county', 'Hiiu');
call insert_element_connection('EHAK', 'IDA_county', 'Alutaguse');
call insert_element_connection('EHAK', 'IDA_county', 'Johvi');
call insert_element_connection('EHAK', 'IDA_county', 'Kohtla');
call insert_element_connection('EHAK', 'IDA_county', 'Luganuse');
call insert_element_connection('EHAK', 'IDA_county', 'Narva');
call insert_element_connection('EHAK', 'IDA_county', 'Narva_Joesuu');
call insert_element_connection('EHAK', 'IDA_county', 'Sillamae');
call insert_element_connection('EHAK', 'IDA_county', 'Toila');

call insert_element_connection('EHAK', 'JOGEVA_county', 'Jogeva');
call insert_element_connection('EHAK', 'JOGEVA_county', 'Mustvee');
call insert_element_connection('EHAK', 'JOGEVA_county', 'Poltsamaa');

call insert_element_connection('EHAK', 'JARVA_county', 'Jarva');
call insert_element_connection('EHAK', 'JARVA_county', 'Paide');
call insert_element_connection('EHAK', 'JARVA_county', 'Turi');

call insert_element_connection('EHAK', 'LAANE_county', 'Haapsalu');
call insert_element_connection('EHAK', 'LAANE_county', 'Laane_Nigula');
call insert_element_connection('EHAK', 'LAANE_county', 'Vormsi');

call insert_element_connection('EHAK', 'LAANE_VIRU', 'Haljala');
call insert_element_connection('EHAK', 'LAANE_VIRU', 'Kadrina');
call insert_element_connection('EHAK', 'LAANE_VIRU', 'Rakvere_city');
call insert_element_connection('EHAK', 'LAANE_VIRU', 'Rakvere');
call insert_element_connection('EHAK', 'LAANE_VIRU', 'Tapa');
call insert_element_connection('EHAK', 'LAANE_VIRU', 'Vinni');
call insert_element_connection('EHAK', 'LAANE_VIRU', 'Viru');
call insert_element_connection('EHAK', 'LAANE_VIRU', 'Vaike');

call insert_element_connection('EHAK', 'POLVA_county', 'Kanepi');
call insert_element_connection('EHAK', 'POLVA_county', 'Polva');
call insert_element_connection('EHAK', 'POLVA_county', 'Rapina');

call insert_element_connection('EHAK', 'PARNU_county', 'Haademeeste');
call insert_element_connection('EHAK', 'PARNU_county', 'Kihnu');
call insert_element_connection('EHAK', 'PARNU_county', 'Laaneranna');
call insert_element_connection('EHAK', 'PARNU_county', 'Pohja_Parnumaa');
call insert_element_connection('EHAK', 'PARNU_county', 'Parnu');
call insert_element_connection('EHAK', 'PARNU_county', 'Saarde');
call insert_element_connection('EHAK', 'PARNU_county', 'Tori');

call insert_element_connection('EHAK', 'RAPLA_county', 'Kehtna');
call insert_element_connection('EHAK', 'RAPLA_county', 'Kohila');
call insert_element_connection('EHAK', 'RAPLA_county', 'Marjamaa');
call insert_element_connection('EHAK', 'RAPLA_county', 'Rapla');

call insert_element_connection('EHAK', 'SAARE_county', 'Muhu');
call insert_element_connection('EHAK', 'SAARE_county', 'Ruhnu');
call insert_element_connection('EHAK', 'SAARE_county', 'Saaremaa');

call insert_element_connection('EHAK', 'TARTU_county', 'Elva');
call insert_element_connection('EHAK', 'TARTU_county', 'Kambja');
call insert_element_connection('EHAK', 'TARTU_county', 'Kastre');
call insert_element_connection('EHAK', 'TARTU_county', 'Luunja');
call insert_element_connection('EHAK', 'TARTU_county', 'Noo');
call insert_element_connection('EHAK', 'TARTU_county', 'Peipsiaare');
call insert_element_connection('EHAK', 'TARTU_county', 'Tartu_city');
call insert_element_connection('EHAK', 'TARTU_county', 'Tartu');

call insert_element_connection('EHAK', 'VALGA_county', 'Otepaa');
call insert_element_connection('EHAK', 'VALGA_county', 'Torva');
call insert_element_connection('EHAK', 'VALGA_county', 'Valga');

call insert_element_connection('EHAK', 'VILJANDI_county', 'Mulgi');
call insert_element_connection('EHAK', 'VILJANDI_county', 'Pohja_Sakala');
call insert_element_connection('EHAK', 'VILJANDI_county', 'Viljandi_city');
call insert_element_connection('EHAK', 'VILJANDI_county', 'Viljandi');

call insert_element_connection('EHAK', 'VORU_county', 'Antsla');
call insert_element_connection('EHAK', 'VORU_county', 'Rouge');
call insert_element_connection('EHAK', 'VORU_county', 'Setomaa');
call insert_element_connection('EHAK', 'VORU_county', 'Voru_city');
call insert_element_connection('EHAK', 'VORU_county', 'Voru');